from fastapi import Depends, HTTPException
from core.database import fake_users_db

async def get_current_user_dummy(username: str = "demo"):
    """Demo auth dependency"""
    user = fake_users_db.get(username)
    if not user:
        raise HTTPException(status_code=404, detail="User not found")
    return user
